<?php include "includes/conexao.php";
    include "config/init.php";


    if(isset($_POST['submitFinal'])){

        $nome_cliente = $_POST['nome_cliente'];
        $valor = $_POST['valor'];
        $conta = $_POST['conta_origem'];



        $findQueries = $database->query("SELECT * FROM creditos WHERE cliente='$nome_cliente'");
        $associate = $database->fetch_assoc($findQueries);

        $totalCapital = $associate['total'];
        $id = $associate['id'];
        $taxas = $associate['taxas'];
        $vendedor = $associate['vendedor'];
        $garantias = $associate['garantias'];
        $estimado = $associate['estimado'];
        $finalidade = $associate['finalidade'];
        $user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));



        $accountLoan = $database->query("SELECT * FROM contas WHERE conta = '$conta'");
        $dadosAccount = $database->fetch_assoc($accountLoan);
        $saldoActual = $dadosAccount['saldo'];
        
    
        $saldoNew = $saldoActual + $valor;
        $now = date('Y-m-d');
        $user = $_SESSION['nome'];
         
     
             $actualiza = $database->query("UPDATE creditos SET status='finalizado' WHERE id='$id'");

             $payments = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
             VALUES('$cliente','$valor','$id','$valor','0','$now','0','Pago')");

             $Account = $database->query("UPDATE contas SET saldo = '$saldoNew' WHERE conta='$conta'");

             $Reports = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
             VALUES('Pagamento da prestacao de $cliente','0','$valor','$saldoNew','$conta','$now','$hora','$user')");
             

            $_SESSION['status'] = "Pago na totalidade valor de $valor negociado";
            $_SESSION['status_code'] = "success";
            echo "<script>window.open('finalizados.php','_self')</script>";

    }
?>